Bug 215593 - CVE-2006-5864 GNU gv contains a buffer overflow in gettext()
CVE-2006-5864 GNU gv contains a buffer overflow in gettext()
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gv (Show other bugs)
2.1
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
http://www.securityfocus.com/archive/...
source=bugtraq,reported=20061114,impa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 14:34 EST by Lubomir Kundrak
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 13:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch from Gentoo Linux project (661 bytes, patch)
2006-11-14 14:34 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2006-11-14 14:34:22 EST
Description of problem:

The function gettext() in ps.c is vulnerable to a buffer overflow condition,
because it copies characters from input file to a fixed-sized array text[].

Version-Release number of selected component (if applicable):

gv-3.5.8

How reproducible:

With specially crafted files looking like either of those below this paragraph.
(Replace ... with something a bit longer than PSLINELENGTH (256), so it
overwrites stack. It can be potantially malicious code that might get executed
on functio return)

%!PS-Adobe-3.0
%%DocumentMedia: ...

%!PS-Adobe-3.0
%%DocumentPaperSizes: ...

%!PS-Adobe-3.0
%%EndComments
%%BeginDefaults
%%PageMedia: ...

%!PS-Adobe-3.0
%%EndComments
%%BeginSetup
%%PaperSize: ...

Alternatively use exploit attached to original advisory, which connects to
a TCP socket and opens a shell.

Additional info:

Ggv and kghostview seem not to contain the affected code.
Comment 1 Lubomir Kundrak 2006-11-14 14:34:22 EST
Created attachment 141170 [details]
A patch from Gentoo Linux project
Comment 2 Dan Williams 2006-11-15 07:40:35 EST
-> rstrode

Comment 4 Josh Bressers 2007-09-07 13:32:49 EDT
This flaw has been rated as having a low severity by the Red Hat Security
Response Team.  More information about this rating can be found here:
http://www.redhat.com/security/updates/classification/

The risks associated with fixing this bug are greater than the low severity
security risk. We therefore currently have no plans to fix this flaw in Red Hat
Enterprise Linux 2.1 which is in maintenance mode.

If you believe this judgement to be in error, please reopen this bug with an
appropriate comment.

Note You need to log in before you can comment on or make changes to this bug.